Transcript LOL API
POST
/spaces

Authorization

x-api-key
x-api-key<token>

API key from Dashboard → Account → Integrations. Prefer a dedicated key for Muse / agents. Keys look like tlol_sk_api_access_… (other tlol_sk_* role keys also work for REST). Example:

curl "https://transcript.lol/api/v1/me" \
  -H "x-api-key: tlol_sk_api_access_YOUR_KEY"

In: header

Request Body

application/json

New workspace preferences

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://transcript.lol/api/v1/spaces" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "language": "bg",    "privacy": "PRIVATE"  }'
{
  "findAndReplaceWords": [
    {
      "find": "string",
      "replace": "string"
    }
  ],
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "name": "string",
  "language": "bg",
  "templateId": "string",
  "ownerId": "string",
  "_count": {
    "recordings": 0,
    "speakers": 0
  },
  "privacy": "PRIVATE"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}